<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'DibPillar1Equip',
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <SlpContainer class="equip">
    <section>
      <SlpTypography variant="heading2-bold" tag="h3" class="slp-mb-16">
        {{ data.subtitle }}
      </SlpTypography>
      <SlpRow>
        <SlpColumn :cols="8" class="content-container">
          <SlpTypography variant="heading5" tag="div" class="slp-mb-64">
            <div v-html="$md.render(data.text)" />
          </SlpTypography>
        </SlpColumn>
        <SlpColumn :cols="4" class="card-conatiner">
          <div class="card">
            <SlpTypography variant="heading5-bold" tag="h3" class="slp-mb-16">
              {{ data.card.title }}
            </SlpTypography>
            <SlpTypography variant="body2" tag="p" class="slp-mb-16">
              {{ data.card.text }}
            </SlpTypography>
            <div v-for="cta in data.card.ctas" :key="cta.href">
              <SlpButton
                variant="tertiary"
                :href="cta.href"
                :data-ga-name="cta.data_ga_name"
                :data-ga-location="cta.data_ga_location"
              >
                {{ cta.text }}
                <SlpIcon variant="product" name="arrow-right" />
              </SlpButton>
              <SlpTypography variant="body2" tag="p" class="slp-mb-24 body">
                {{ cta.body }}
              </SlpTypography>
            </div>
          </div>
        </SlpColumn>
      </SlpRow>
    </section>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.equip {
  padding-top: 64px;
}
.content-container,
.card-container {
  padding-right: 16px;

  @media (max-width: $breakpoint-md) {
    padding: 0;
  }
}

.card {
  background: $color-surface-800;
  border-radius: 8px;
  padding: 32px;

  .slp-btn-tertiary {
    width: 100%;
    justify-content: space-between;
  }
}

.body {
  color: $color-text-200;
}
</style>
